<?php
/*
Plugin Name: Front Page Excluded Categories
Version: 1.0.2
Plugin URI: http://geekularity.com/fp-excluded-categories-plugin-for-wordpress/
Description: This version uses a comma separated list of *excluded* category ids. Jason York has provided the code which
uses a SQL JOIN and the DISTINCT clause statement instead of subqueries in order to make the plugin compatible with MySQL 4.0. Many thanks to Jason
for pointing out the flaw and providing the work around.
Author: Sean O'Steen, Jason York 
Author URI: http://geekularity.com/
*/ 

function fpe_where($where) {
   // Change the $cats_to_exclude string to the category id you do not want to appear on the front page.
   // Example:  $cats_to_exclude = '1, 2, 3, 4';
   $cats_to_exclude = '1, 2';

   global $wpdb, $wp_query;

   if (! $wp_query->is_home || strlen($cats_to_exclude) == 0) {
      return $where;
   }

   $where .= " AND $wpdb->post2cat.category_id NOT IN (" . $cats_to_exclude . ")";
   return $where;
}

function fpe_join($join) {
  global $wpdb, $wp_query;
 
  if (!$wp_query->is_home) {
       return $join;
   }
   $join .= "LEFT JOIN $wpdb->post2cat ON $wpdb->post2cat.post_id = $wpdb->posts.ID ";
   return $join;
}

function fpe_distinct($distinct) {
   global  $wp_query;

   if (! $wp_query->is_home ) {
      return $distinct;
   }
   return "distinct";
}

add_filter('posts_join', 'fpe_join');
add_filter('posts_where', 'fpe_where');
add_filter('posts_distinct', 'fpe_distinct');

?>




